Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorInterpolateQuadraticManipulator Class Reference

Vertex manipulator which interpolates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorInterpolateQuadraticManipulator:

List of all members.

## Public Member Functions
void | operator() (video::S3DVertex &vertex) const
| SVertexColorInterpolateQuadraticManipulator (video::SColor color1, video::SColor color2, f32 factor)

## Detailed Description

Vertex manipulator which interpolates the color values.

Uses linear interpolation.

Definition at line 205 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorInterpolateQuadraticManipulator::SVertexColorInterpolateQuadraticManipulator | ( | video::SColor | color1,
|  | video::SColor | color2,
|  | f32 | factor |
| ) |  |  | `[inline]`

Definition at line 208 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorInterpolateQuadraticManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 210 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)